CREATE TABLE IF NOT EXISTS axisacsevtlog (
	id				integer PRIMARY KEY AUTOINCREMENT,
	ctrler_id		integer DEFAULT 0,
	src_type		integer DEFAULT 0,
	src_direct		integer DEFAULT 0,
	src_idpt_type	integer DEFAULT 0,
	src_id			integer DEFAULT 0,
	src_token		varchar(256) DEFAULT '',
	owner_type		integer DEFAULT 0,
	owner_direct	integer DEFAULT 0,
	owner_idpt_type	integer DEFAULT 0,
	owner_id		integer DEFAULT 0,
	owner_token		varchar(256) DEFAULT '',
	owner_info		text DEFAULT '',
	evt_grp			integer DEFAULT 0,
	evt_type		integer DEFAULT 0,
	row_id			integer DEFAULT 0,
	tmstmp			integer DEFAULT 0,
	playback		boolean DEFAULT '0',
	update_time		integer DEFAULT 0,
	log_level		integer DEFAULT 1,
	token			varchar(256) DEFAULT '',
	alarm_token		varchar(256) DEFAULT '',
	utc_time		varchar(256) DEFAULT '',
	utc_n720		integer DEFAULT 0,
	utc_n660		integer DEFAULT 0,
	utc_n600		integer DEFAULT 0,
	utc_n570		integer DEFAULT 0,
	utc_n540		integer DEFAULT 0,
	utc_n510		integer DEFAULT 0,
	utc_n480		integer DEFAULT 0,
	utc_n420		integer DEFAULT 0,
	utc_n360		integer DEFAULT 0,
	utc_n300		integer DEFAULT 0,
	utc_n270		integer DEFAULT 0,
	utc_n240		integer DEFAULT 0,
	utc_n210		integer DEFAULT 0,
	utc_n180		integer DEFAULT 0,
	utc_n150		integer DEFAULT 0,
	utc_n120		integer DEFAULT 0,
	utc_n60			integer DEFAULT 0,
	utc_0			integer DEFAULT 0,
	utc_60			integer DEFAULT 0,
	utc_120			integer DEFAULT 0,
	utc_180			integer DEFAULT 0,
	utc_210			integer DEFAULT 0,
	utc_240			integer DEFAULT 0,
	utc_270			integer DEFAULT 0,
	utc_300			integer DEFAULT 0,
	utc_330			integer DEFAULT 0,
	utc_345			integer DEFAULT 0,
	utc_360			integer DEFAULT 0,
	utc_390			integer DEFAULT 0,
	utc_420			integer DEFAULT 0,
	utc_480			integer DEFAULT 0,
	utc_510			integer DEFAULT 0,
	utc_525			integer DEFAULT 0,
	utc_540			integer DEFAULT 0,
	utc_570			integer DEFAULT 0,
	utc_600			integer DEFAULT 0,
	utc_630			integer DEFAULT 0,
	utc_660			integer DEFAULT 0,
	utc_720			integer DEFAULT 0,
	utc_765			integer DEFAULT 0,
	utc_780			integer DEFAULT 0,
	utc_825			integer DEFAULT 0,
	utc_840			integer DEFAULT 0
);
CREATE INDEX IF NOT EXISTS log_tmstmp_idx ON axisacsevtlog(tmstmp);
CREATE INDEX IF NOT EXISTS log_categ_n720_idx ON axisacsevtlog(ctrler_id, log_level, utc_n720);
CREATE INDEX IF NOT EXISTS log_categ_n660_idx ON axisacsevtlog(ctrler_id, log_level, utc_n660);
CREATE INDEX IF NOT EXISTS log_categ_n600_idx ON axisacsevtlog(ctrler_id, log_level, utc_n600);
CREATE INDEX IF NOT EXISTS log_categ_n570_idx ON axisacsevtlog(ctrler_id, log_level, utc_n570);
CREATE INDEX IF NOT EXISTS log_categ_n540_idx ON axisacsevtlog(ctrler_id, log_level, utc_n540);
CREATE INDEX IF NOT EXISTS log_categ_n510_idx ON axisacsevtlog(ctrler_id, log_level, utc_n510);
CREATE INDEX IF NOT EXISTS log_categ_n480_idx ON axisacsevtlog(ctrler_id, log_level, utc_n480);
CREATE INDEX IF NOT EXISTS log_categ_n420_idx ON axisacsevtlog(ctrler_id, log_level, utc_n420);
CREATE INDEX IF NOT EXISTS log_categ_n360_idx ON axisacsevtlog(ctrler_id, log_level, utc_n360);
CREATE INDEX IF NOT EXISTS log_categ_n300_idx ON axisacsevtlog(ctrler_id, log_level, utc_n300);
CREATE INDEX IF NOT EXISTS log_categ_n270_idx ON axisacsevtlog(ctrler_id, log_level, utc_n270);
CREATE INDEX IF NOT EXISTS log_categ_n240_idx ON axisacsevtlog(ctrler_id, log_level, utc_n240);
CREATE INDEX IF NOT EXISTS log_categ_n210_idx ON axisacsevtlog(ctrler_id, log_level, utc_n210);
CREATE INDEX IF NOT EXISTS log_categ_n180_idx ON axisacsevtlog(ctrler_id, log_level, utc_n180);
CREATE INDEX IF NOT EXISTS log_categ_n150_idx ON axisacsevtlog(ctrler_id, log_level, utc_n150);
CREATE INDEX IF NOT EXISTS log_categ_n120_idx ON axisacsevtlog(ctrler_id, log_level, utc_n120);
CREATE INDEX IF NOT EXISTS log_categ_n60_idx ON axisacsevtlog(ctrler_id, log_level, utc_n60);
CREATE INDEX IF NOT EXISTS log_categ_0_idx ON axisacsevtlog(ctrler_id, log_level, utc_0);
CREATE INDEX IF NOT EXISTS log_categ_60_idx ON axisacsevtlog(ctrler_id, log_level, utc_60);
CREATE INDEX IF NOT EXISTS log_categ_120_idx ON axisacsevtlog(ctrler_id, log_level, utc_120);
CREATE INDEX IF NOT EXISTS log_categ_180_idx ON axisacsevtlog(ctrler_id, log_level, utc_180);
CREATE INDEX IF NOT EXISTS log_categ_210_idx ON axisacsevtlog(ctrler_id, log_level, utc_210);
CREATE INDEX IF NOT EXISTS log_categ_240_idx ON axisacsevtlog(ctrler_id, log_level, utc_240);
CREATE INDEX IF NOT EXISTS log_categ_270_idx ON axisacsevtlog(ctrler_id, log_level, utc_270);
CREATE INDEX IF NOT EXISTS log_categ_300_idx ON axisacsevtlog(ctrler_id, log_level, utc_300);
CREATE INDEX IF NOT EXISTS log_categ_330_idx ON axisacsevtlog(ctrler_id, log_level, utc_330);
CREATE INDEX IF NOT EXISTS log_categ_345_idx ON axisacsevtlog(ctrler_id, log_level, utc_345);
CREATE INDEX IF NOT EXISTS log_categ_360_idx ON axisacsevtlog(ctrler_id, log_level, utc_360);
CREATE INDEX IF NOT EXISTS log_categ_390_idx ON axisacsevtlog(ctrler_id, log_level, utc_390);
CREATE INDEX IF NOT EXISTS log_categ_420_idx ON axisacsevtlog(ctrler_id, log_level, utc_420);
CREATE INDEX IF NOT EXISTS log_categ_480_idx ON axisacsevtlog(ctrler_id, log_level, utc_480);
CREATE INDEX IF NOT EXISTS log_categ_510_idx ON axisacsevtlog(ctrler_id, log_level, utc_510);
CREATE INDEX IF NOT EXISTS log_categ_525_idx ON axisacsevtlog(ctrler_id, log_level, utc_525);
CREATE INDEX IF NOT EXISTS log_categ_540_idx ON axisacsevtlog(ctrler_id, log_level, utc_540);
CREATE INDEX IF NOT EXISTS log_categ_570_idx ON axisacsevtlog(ctrler_id, log_level, utc_570);
CREATE INDEX IF NOT EXISTS log_categ_600_idx ON axisacsevtlog(ctrler_id, log_level, utc_600);
CREATE INDEX IF NOT EXISTS log_categ_630_idx ON axisacsevtlog(ctrler_id, log_level, utc_630);
CREATE INDEX IF NOT EXISTS log_categ_660_idx ON axisacsevtlog(ctrler_id, log_level, utc_660);
CREATE INDEX IF NOT EXISTS log_categ_720_idx ON axisacsevtlog(ctrler_id, log_level, utc_720);
CREATE INDEX IF NOT EXISTS log_categ_765_idx ON axisacsevtlog(ctrler_id, log_level, utc_765);
CREATE INDEX IF NOT EXISTS log_categ_780_idx ON axisacsevtlog(ctrler_id, log_level, utc_780);
CREATE INDEX IF NOT EXISTS log_categ_825_idx ON axisacsevtlog(ctrler_id, log_level, utc_825);
CREATE INDEX IF NOT EXISTS log_categ_840_idx ON axisacsevtlog(ctrler_id, log_level, utc_840);
CREATE INDEX IF NOT EXISTS axisacsevtlog_update_time_idx ON axisacsevtlog (update_time);
CREATE TRIGGER IF NOT EXISTS axisacsevtlog_auto_update_insert AFTER INSERT ON axisacsevtlog BEGIN UPDATE OR IGNORE axisacsevtlog SET update_time = (SELECT MAX(update_time) FROM axisacsevtlog) + 1 WHERE id = new.id; END;
CREATE TRIGGER IF NOT EXISTS axisacsevtlog_auto_update_update AFTER UPDATE ON axisacsevtlog BEGIN UPDATE OR IGNORE axisacsevtlog SET update_time = (SELECT MAX(update_time) FROM axisacsevtlog) + 1 WHERE id = new.id; END;

