BEGIN;

CREATE TABLE IF NOT EXISTS bookmark (
	id						integer PRIMARY KEY AUTOINCREMENT,
	timestamp				integer,
	name					text DEFAULT '',
	comment 				text DEFAULT '',
	event_id				integer,
	camera_id				integer,
	archive_task_id			integer
);

CREATE INDEX IF NOT EXISTS bookmark_event_idx ON bookmark(event_id, archive_task_id);
CREATE INDEX IF NOT EXISTS bookmark_timestamp_idx ON bookmark(timestamp, camera_id, archive_task_id);

COMMIT;
