BEGIN;

CREATE TABLE IF NOT EXISTS facerecording (
	id						integer PRIMARY KEY AUTOINCREMENT,
	camera_id				integer,
	task_id					integer,
	start_time				integer,
	stop_time				integer,
	update_time				integer,
	archived				boolean DEFAULT '0',
	path					text,
	filesize				integer,
	video_type				integer,
	recording				boolean DEFAULT '0',
	audfmt					text,
	closing					boolean DEFAULT '0',
	video_width				integer,
	video_height			integer,
	framecount				integer,
	mark_as_del				boolean DEFAULT '0'
);

COMMIT;
