
CREATE TABLE IF NOT EXISTS video_analytics_log (
	id							integer PRIMARY KEY AUTOINCREMENT,
	ds_id						integer DEFAULT 0,
	camera_id					integer DEFAULT 0,
	utc_tmstmp					integer DEFAULT 0,
	analyze_type				integer DEFAULT 0,
	event_type					integer DEFAULT 0,
	status						integer DEFAULT 0,
	duration					integer DEFAULT 0
);

CREATE TABLE IF NOT EXISTS video_analytics_report (
	record_key					text UNIQUE,
	report_type					integer DEFAULT 0,
	utc_tmstmp					integer DEFAULT 0,
	utc_n720					integer DEFAULT 0,
	utc_n660					integer DEFAULT 0,
	utc_n600					integer DEFAULT 0,
	utc_n570					integer DEFAULT 0,
	utc_n540					integer DEFAULT 0,
	utc_n510					integer DEFAULT 0,
	utc_n480					integer DEFAULT 0,
	utc_n420					integer DEFAULT 0,
	utc_n360					integer DEFAULT 0,
	utc_n300					integer DEFAULT 0,
	utc_n270					integer DEFAULT 0,
	utc_n240					integer DEFAULT 0,
	utc_n210					integer DEFAULT 0,
	utc_n180					integer DEFAULT 0,
	utc_n150					integer DEFAULT 0,
	utc_n120					integer DEFAULT 0,
	utc_n60						integer DEFAULT 0,
	utc_0						integer DEFAULT 0,
	utc_60						integer DEFAULT 0,
	utc_120						integer DEFAULT 0,
	utc_180						integer DEFAULT 0,
	utc_210						integer DEFAULT 0,
	utc_240						integer DEFAULT 0,
	utc_270						integer DEFAULT 0,
	utc_300						integer DEFAULT 0,
	utc_330						integer DEFAULT 0,
	utc_345						integer DEFAULT 0,
	utc_360						integer DEFAULT 0,
	utc_390						integer DEFAULT 0,
	utc_420						integer DEFAULT 0,
	utc_480						integer DEFAULT 0,
	utc_510						integer DEFAULT 0,
	utc_525						integer DEFAULT 0,
	utc_540						integer DEFAULT 0,
	utc_570						integer DEFAULT 0,
	utc_600						integer DEFAULT 0,
	utc_630						integer DEFAULT 0,
	utc_660						integer DEFAULT 0,
	utc_720						integer DEFAULT 0,
	utc_765						integer DEFAULT 0,
	utc_780						integer DEFAULT 0,
	utc_825						integer DEFAULT 0,
	utc_840						integer DEFAULT 0
);

CREATE TABLE IF NOT EXISTS video_analytics_ppl_cnt (
	task_id						integer PRIMARY KEY,
	utc_tmstmp					integer DEFAULT 0,
	curr_in_cnt					integer DEFAULT 0,
	curr_out_cnt				integer DEFAULT 0
);
